## org.apache.lucene.xmlparser
Class FilterBuilderFactory

    java.lang.Object
      org.apache.lucene.xmlparser.FilterBuilderFactory

All Implemented Interfaces:
  FilterBuilder

    public class FilterBuilderFactory

extends java.lang.Object
implements FilterBuilder

Constructor Summary
`FilterBuilderFactory()`

Method Summary
`void` `addBuilder(java.lang.String nodeName, FilterBuilder builder)`
`Filter` `getFilter(org.w3c.dom.Element n)`
`FilterBuilder` `getFilterBuilder(java.lang.String nodeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterBuilderFactory

    public FilterBuilderFactory()

Method Detail

### getFilter

    public Filter getFilter(org.w3c.dom.Element n)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

### addBuilder

    public void addBuilder(java.lang.String nodeName,
                           FilterBuilder builder)

### getFilterBuilder

    public FilterBuilder getFilterBuilder(java.lang.String nodeName)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.